跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
holders
代幣 - 持有者
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/holders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000000000000000000",
      "amountInUsd": "1000000000000000000",
      "percentage": "100",
      "walletAddress": "0x1234567890abcdef",
      "accountAddress": "<string>",
      "accuAmount": "<string>",
      "accuCost": "<string>",
      "addrType": 123,
      "addressLabel": "<string>",
      "avgBuyPriceUsd": "<string>",
      "avgCostUsd": "<string>",
      "avgSellPriceUsd": "<string>",
      "buyAmountCur": "<string>",
      "buyVolumeNative": "<string>",
      "buyVolumeUsd": "<string>",
      "createdAt": 123,
      "endHoldingAt": 123,
      "exchange": "<string>",
      "firstBuyTime": 123,
      "historyBoughtCost": "<string>",
      "historyBoughtFee": "<string>",
      "historySoldFee": "<string>",
      "historySoldIncome": "<string>",
      "historyTransferInAmount": "<string>",
      "historyTransferInCost": "<string>",
      "historyTransferOutAmount": "<string>",
      "historyTransferOutFee": "<string>",
      "historyTransferOutIncome": "<string>",
      "isClosed": true,
      "isNew": true,
      "isTransferIn": true,
      "lastActiveAt": 123,
      "lastBlock": 123,
      "lossCount": 123,
      "makerTokenTags": [
        "<string>"
      ],
      "nativeBalance": "<string>",
      "netflowAmount": "<string>",
      "netflowAmountUsd": "<string>",
      "netflowUsd": "<string>",
      "positionCostUsd": "<string>",
      "realizedPnlRatio": "<string>",
      "realizedProfit": "<string>",
      "roi": "<string>",
      "sellAmountCur": "<string>",
      "sellAmountPercentage": "<string>",
      "sellVolumeNative": "<string>",
      "sellVolumeUsd": "<string>",
      "startHoldingAt": 123,
      "tags": [
        "<string>"
      ],
      "tokenTransferIn": "<unknown>",
      "tokenTransferOut": "<unknown>",
      "totalBuyCount": 123,
      "totalCostUsd": "<string>",
      "totalProfit": "<string>",
      "totalSellCount": 123,
      "transferInAmount7d": "<string>",
      "transferInCount": 123,
      "transferOutAmount7d": "<string>",
      "transferOutCount": 123,
      "unrealizedPnlRatio": "<string>",
      "unrealizedProfit": "<string>",
      "walletTagV2": "<string>",
      "winCount": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

取得代幣持有者清單及其餘額。若僅需排名前列的持有者,請改用 topHolders 端點。
相關: GraphQL 持有者 | MCP: token_get_holders

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

代幣地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
sortBy
enum<string>
預設值:holdingUsd

DTO.TOKEN.HOLDERS.SORT_BY Sort by: holdingUsd (default) | lastActiveAt | profit | buyVolume | sellVolume Sort field for token holders query

可用選項:
holdingUsd,
lastActiveAt,
profit,
buyVolume,
sellVolume
tag
string

Filter by wallet tag: smart | kol | sniper | dev | bundle | bluechip | fresh | insider | pro | sandwich | phishing

minCostUsd
string

Minimum position cost in USD (inclusive). Filters out holders whose open position cost is below this threshold. Maps to OpenSearch field position_cost_in_usd.

回應

200 - application/json

取得持有者

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="